﻿use Master
Go
if(Exists(Select * from sys.sysdatabases where Name ='LaptopSystem'))
	Drop database LaptopSystem
GO
Create database LaptopSystem
Go
Use LaptopSystem
Go

Create Table Admin
(
	 AdminID nvarchar(50) Primary key
	,AdminPass nvarchar(100)
	,Status bit
)
Go
Create table Category
(
	 CategoryID int identity primary key
	,CategoryName nvarchar(50)
)
Go
Create table Laptop
(
	 LaptopID int identity primary key
	,LaptopName nvarchar(50)
	,Price money
	,Quantity int
	,Information ntext
	,ImageURL varchar(100)
	,CategoryID int references Category
)
Go
----
Insert Admin values('Admin','Admin',1)
Insert Admin values('Member','Member',1)
Go
Select * from Admin
Go
Insert Category values('IBM')
Insert Category values('HP')
Insert Category values('Acer')
Insert Category values('DELL')
Go
Select * from Category
Go
Insert Laptop values('Aspire One 531',229000,20,'Weighing a mere 1 kg and boasting up to 7 hours of battery life, the Aspire one 531 promises to keep you on the go and on your toes!','acer1.jpg',3)
Insert Laptop values('Aspire One D250',679000 ,15,'Just 1" thin and feather-light at 1.18 kg, the 10.1" Aspire one D250 is the ultimate take-me-with-you device!','acer2.jpg',3)
Insert Laptop values('Aspire One Pro 531',509000 ,20 ,'The Aspire one Pro 531 netbook is your ever-present tool for getting things done. Portable, powerful and styled for mobile productivity, this on-the-go office lets you work for up to 7.5 hours without interruption. Go business class with the Aspire one Pro 531. It''s ready for the long haul.','acer3.jpg',3)
Go
Select * from Laptop
Go

