﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{

    string CONN_STR = @"Data Source=.;Initial Catalog=LaptopSystem;User ID=sa;";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            LoadData();
        }
    }

    private void LoadData()
    {
        SqlDataAdapter da = new SqlDataAdapter("SELECT * FROM Laptop", CONN_STR);
        DataSet ds = new DataSet();
        da.Fill(ds, "Laptop");
        GridView1.DataSource = ds.Tables["Laptop"];
        GridView1.DataBind();
    }
    protected void GridView1_SelectedIndexChanging(object sender, GridViewSelectEventArgs e)
    {
        string datakey = GridView1.DataKeys[e.NewSelectedIndex].Value.ToString();
        Response.Write("Bạn vừa chọn sản phẩm có mã :" + datakey);
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        string datakey = GridView1.DataKeys[e.RowIndex].Value.ToString();
        //Viết lệnh delete dữ liệu rồi gọi lại phương thức LoadData() để nạp lại dữ liệu mới trên GridView

    }
    protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
    {
        GridView1.EditIndex = e.NewEditIndex;
        LoadData();

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        TextBox txtName = GridView1.Rows[e.RowIndex].Cells[2].Controls[0] as TextBox;
        //Các trường tiếp theo bạn làm tương tự như LaptopName nhưng nhớ thay đổi vị trí Cells[i] cho
        //phù hợp.
        //Trong đó Rows[e.RowIndex] trả về dòng đang sửa
        //Cells[2] là cột thứ 3 - Cột LaptopName(index đi từ 0 )
        //Controls[0] là control textbox đầu tiên trong cells [2] của dòng đang sửa
        string datakey = GridView1.DataKeys[e.RowIndex].Value.ToString();
        Response.Write("LaptopName mới: "+txtName.Text+" của sản phẩm có mã là: "+datakey);


    }
    protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        GridView1.EditIndex = -1;
        LoadData();
    }
}